Override validity status for a document
curl --request PATCH \
--url https://api.korint.io/policies/{policyId}/documents/validity/{documentId}/override \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '{}'import requests
url = "https://api.korint.io/policies/{policyId}/documents/validity/{documentId}/override"
payload = {}
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.korint.io/policies/{policyId}/documents/validity/{documentId}/override', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documentId": "<string>",
"results": [
{
"passed": true,
"message": "<string>",
"metadata": {}
}
],
"aiMetadata": {},
"checkedAt": "<string>",
"override": {
"overriddenBy": "<string>",
"overriddenAt": "<string>",
"previousStatus": "<string>",
"originalStatus": "<string>"
}
}{
"code": "DOCUMENT_VALIDITY_FAILED",
"message": "Document validity check failed for document {documentId}",
"details": {}
}document-validity
Override validity status for a document
PATCH
/
policies
/
{policyId}
/
documents
/
validity
/
{documentId}
/
override
Override validity status for a document
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Pattern:
^policy(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Pattern:
^document(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Body
application/json
Available options:
VALID, INVALID Response
Document ID
Overall validity status
Available options:
PENDING, VALID, INVALID, FAILED, SKIPPED Results for each validity rule
Show child attributes
Show child attributes
AI validity metadata
Last check timestamp
Override metadata if validity was manually overridden
Show child attributes
Show child attributes
Was this page helpful?
⌘I

